ARG TARGET_VERSION

FROM xivoxc/xivo-confgend:${TARGET_VERSION}
LABEL com.avencall.authors="dev@avencall.com"

WORKDIR /tmp/confgendtests

RUN apt-get update \
    && apt-get install -y \
    libffi-dev \
    libpq-dev \
    libyaml-dev \
    python-dev-is-python3 \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/*

COPY xivo_confgen ./xivo_confgen
COPY tox.ini .
COPY requirements.txt .
COPY test-requirements.txt .
RUN pip install --no-cache-dir -r test-requirements.txt --break-system-packages

CMD tox